code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#! /bin/bash if test -f /tmp/nmstate_setup.txt; then exit 0 else yum -y install python3-devel rpm-build \ python3-openvswitch \ python3-openvswitch2.13 --skip-broken rm -rf /usr/bin/python && ln -s /usr/bin/python3 /usr/bin/python # remove nmstate bits rm -rf...
NetworkManager/NetworkManager-ci
prepare/nmstate.sh
Shell
gpl-3.0
1,068
#!/bin/bash #download youtube video if [ $# -eq 0 ] then echo "please input YouTuBe Video URL!" exit 1; fi #wj="/usr/local/bin/youtube-dl" #cd /root/video; #if [ ! -f $wj ] #then # wget https://yt-dl.org/downloads/2016.01.29/youtube-dl; # mv youtube-dl /usr/local/bin/; #fi #chmod +x $wj; #apt-get updat...
marry100/shell
ydl.sh
Shell
gpl-3.0
716
#!/bin/bash function a() { echo "in a: H=${H[x]} ${H[y]} LIST=${LIST[@]} ${!LIST[@]} V=$V G=$G - why is H, LIST and V defined?" } function b() { # -g will make declare global declare -A H=( [x]="yalla yalla" [y]="yuck yuck" ) declare -a local LIST=( "a" "b b" "c" ) local V="vvv" G="global" echo "in b: H=${H[x...
RolandKujundzic/rkscript
example/array2.sh
Shell
gpl-3.0
450
# Create useful aliases for apt cleanup commands if which apt-get &> /dev/null; then # Remove old kernels (but the most recent, and the currently running one alias apt-purge-old-kernels="apt-get purge \$(dpkg --list |egrep 'linux-image-[0-9]' |awk '{print \$3,\$2}' |sort -nr |tail -n +2 |grep -v \$(uname -r) |awk '...
ice3/shellrc
rc.d/apt.sh
Shell
gpl-3.0
541
#!/bin/bash set -e set -u rm -f lambdas*.txt rerank-results-201* classId=$1 year=$2 irResultsDir="../ir/results/" declare -a classifiers=( "Basic" "BernoulliNB" "MultinomialNB" "NearestCentroid" "PassiveAggressiveClassifier.hinge" "Perceptron" "RidgeClassifier" "RandomForestClassifier" "LinearSVC.squared_hinge.l2"...
fmance/deep-medical-ir
ranking/runClassifiers.sh
Shell
gpl-3.0
1,065
#!/bin/sh rake doc:app rsync -e 'ssh -p 2217' -ruvv --delete app/ destiney@destiney.com:/usr/local/apache2/htdocs/railsdb/docs
hirman/railsdb
doc/rsync.sh
Shell
gpl-3.0
129
##!/bin/bash ##Scott Efird, last updated Feb 8 2016 # ##This will open a dir, hunt for all the images and then change ##their names into the format Photo_#.jpg # #clear ##The directory we are looking in #DIR="/home/waffles/git-repos/CoscSrDesignDrones/ImageEdit/Images" # ##Moving to our dir #cd $DIR # ##Looping through...
UWYO-Fall15-Sr-Design-Drone/CoscSrDesignDrones
ImageEdit/dir_img_editImageNames.sh
Shell
gpl-3.0
533
#!/bin/bash ./b203.sh 'service lightdm restart'
kalopsik-math/scripts
labs/logoffall_b203.sh
Shell
gpl-3.0
49
#!/bin/bash # Delete ~ from working directory ########################################################################## # Nautilus LS # ########################################################################## # ...
kernt/linuxtools
gnome3-shell/nautilus-scripts/System/File System Management/RM.sh
Shell
gpl-3.0
873
#!/bin/sh -e # Generate the workload from snappy logs # Build the siege urls.txt file LOGS_DIR=logs HOST=http://localhost:8000/ WORKLOAD_DIR=$PWD/workload while getopts "l:h:" opt; do case $opt in l) LOGS_DIR=$OPTARG ;; h) HOST=$OPTARG ;; \?)...
walac/snappy-benchmark
gen_workload.sh
Shell
mpl-2.0
791
#!/bin/sh set -e if ! command -v gen-bundle > /dev/null 2>&1; then echo "gen-bundle is not installed. Please run:" echo " go get -u github.com/WICG/webpackage/go/bundle/cmd/..." exit 1 fi # TODO: Stop hard-coding "web-platform.test" when generating Web Bundles on the # fly. wpt_test_https_origin=https:/...
asajeffrey/servo
tests/wpt/web-platform-tests/web-bundle/resources/generate-test-wbns.sh
Shell
mpl-2.0
1,720
#!/bin/bash ############################################################################# # VARIABLES ############################################################################# yellow='\033[0;49;93m' # Yellow green='\033[0;49;92m' # Green nc='\033[0m' # No color ########################################...
sveeke/jumble
generic/restart-mailserver.sh
Shell
agpl-3.0
1,447
#!/bin/bash #=============================================================================== # # FILE: makeBundle.sh # # USAGE: ./makeBundle.sh # # DESCRIPTION: Creates a bundle with browserify # # OPTIONS: --- # REQUIREMENTS: --- # BUGS: --- # NOTES: --- # A...
raziel-carvajal/WebGC
examples/chatApp/makeBundle.sh
Shell
agpl-3.0
948
#!/usr/bin/env bash set -eu function log { echo "$(date +"%T") - BUILD INFO - $*" } function get_status { echo $(curl --output /dev/null --silent --head --write-out %{http_code} $1) } function test_http_status { local status=$(get_status "$2") if [ "$status" -ne "$1" ]; then log Failed to load "$2" wit...
akvo/akvo-rsr
scripts/docker/ci/end-to-end.sh
Shell
agpl-3.0
3,042
#!/bin/bash # # export tilepathmin="$1" export tilepathmax="$2" export fjcsv2sglf="$3" export datadir="$4" export fjt="$5" export tagset="$6" export dstdir="." for tilepath_dec in `seq $tilepathmin $tilepathmax` ; do tilepath=$(printf "%04x" $tilepath_dec) echo $tilepath_dec echo $tilepath ## if we don...
curoverse/l7g
cwl-version/tilelib/src/tilelib_chunk_v2CWL.sh
Shell
agpl-3.0
921
#!/bin/bash WD=`pwd` touch .failtmp H2O_PATH=/Users/patrickrice/Documents/h2o-3/build/h2o.jar rm -rf ./steam*-develop-darwin-amd64* curl -O http://s3.amazonaws.com/steam-release/steam-develop-darwin-amd64.tar.gz tar xvf steam-master-darwin-amd64.tar.gz java -jar $H2O_PATH -port 54535 -name steamtest > h2o.log 2>&1 ...
h2oai/steam
tests/uitests/.run-darwin.sh
Shell
agpl-3.0
1,734
#! /bin/sh -e . ./genconfig.sh # Generate list of union sizes for type in $TYPES; do size=`IFS=:; set -- dummy $type; echo $3` for vector_length in $VECTOR_LENGTHS; do if test $vector_length -eq 3; then continue; fi union_sizes="$un...
ignatenkobrain/beignet
backend/src/gen_as.sh
Shell
lgpl-2.1
4,736
#!/bin/bash #SBATCH -J gp_ddr #SBATCH -o gp_ddr_%j.txt #SBATCH -n 272 #SBATCH -N 1 #SBATCH -p normal #SBATCH -t 48:00:00 #SBATCH --mail-user=damon@ices.utexas.edu #SBATCH --mail-type=begin #SBATCH --mail-type=end env echo -n "Begin: " date export I_MPI_PIN_PROCESSOR_EXCLUDE_LIST=16,17,34,35,84,85,102,103,152,153,170,17...
PECOS-KNL/kernels
src/gp/results/submit_mpi_1_openmp_4.sh
Shell
lgpl-2.1
450
#!/bin/bash echo "Library sourced."
fabiand/igor
examples/testcases/tcs/helloworld.sh.d/mylib.sh
Shell
lgpl-2.1
37
#!/bin/sh # # Print the current source revision, if available srcdir=`dirname $0`/.. if [ -d $srcdir/.svn ]; then cd $srcdir (svnversion -c 2>/dev/null || svnversion .) | \ sed -e 's,\([0-9]*\)[A-Z]*,\1,' \ -e 's,[0-9]*:\([0-9]*\)[A-Z]*,\1,' fi
Cpasjuste/SDL-13
build-scripts/showrev.sh
Shell
lgpl-2.1
275
#!/bin/sh NASM_VERSION=2.12.02 WORKSPACE=$(pwd) export PATH=${WORKSPACE}/nasm/bin:$PATH if [ ! -e "nasm-${NASM_VERSION}.tar.xz" ]; then echo "Downloading nasm-${NASM_VERSION}.tar.xz" curl -LO http://www.nasm.us/pub/nasm/releasebuilds/2.12.02/nasm-2.12.02.tar.xz else echo "Using nasm-${NASM_VERSION}.tar.xz" fi...
WadeHsiao/B
3rd/nasm/build-nasm-for-osx-i386.sh
Shell
lgpl-3.0
631
describe "save_environment_variables" # make absolute path out of relative IDE_PATH=$(readlink -f "./ide_functions") env_file='tmp_env' real_blacklisted="BASH*,HOME,USERNAME,USER,LOGNAME,PATH,TERM,SHELL,MAIL,SUDO_*,WINDOWID,SSH_*,SESSION_*,GEM_HOME,GEM_PATH,GEM_ROOT,HOSTNAME,HOSTTYPE,IFS,PPID,PWD,OLDPWD" des...
ai-traders/ide
test/unit/shpec/functions/ide_save_environment_variables.sh
Shell
lgpl-3.0
6,388
#!/bin/bash #!/bin/bash # Author: Zach.Wang DB_SRC_HOST="" DB_NAME="" USER="" PASSWD="" for KEY_WORD in DB_SRC_HOST DB_NAME USER PASSWD BACKUP_CMD BACKUP_DIR do eval $KEY_WORD=`grep -m1 $KEY_WORD MongoBackup.sh | awk -F "=" '{printf $2}'` done #echo $DB_SRC_HOST $DB_NAME $USER $PASSWD last=ll -t | egrep -v "*.log" ...
WZQ1397/automatic-repo
shell/filesystem/mongo-backup/prd/MongoRecover.sh
Shell
lgpl-3.0
468
#!/bin/bash # Clear out the backdoor crontab -r # Backup the old repo lists /bin/mv /etc/apt/sources.list /etc/apt/sources.list.old # Create new repo lists with archived location echo "deb http://archive.debian.org/debian-archive/debian/ lenny main contrib non-free" >> /etc/apt/sources.list echo "deb http://archive....
banjoman05/ccdc
deb_stuff.sh
Shell
unlicense
1,733
#!/bin/bash set -e GCC_CFLAGS="-m32" GCC_CPPFLAGS="-m32" GCC_LDFLAGS="-m32" GCC_HOST="i686-pc-linux-gnu" GCC_BUILD="x86_64-pc-linux-gnu" GCC_TARGET="i686-pc-linux-gnu" TARGET_ARCH="i386" TARGET_ARCH_HOST="i386-linux-gnu" TARGET_PREFIX="/usr/local" dpkg --add-architecture $TARGET_ARCH apt-get update apt-get -y inst...
luispintomartins/docker-qt
qt/5.8/linux/i386/shared/buildscript.sh
Shell
unlicense
5,239
#!/bin/bash dir=`dirname $0` cd $dir print_help() { echo "\tchrome\tChrome" echo "\tfirefox\tFirefox" echo "\tclean\tClean up" echo "\tall\tBoth" echo "\tdefault\tBoth" echo "\n\thelp\tThis" exit 0 } build_chrome(){ cp -r src chrome/ } build_firefox(){ mkdir -p firefox/data cp -r src/js/* firefo...
senda-akiha/cross-browser-ex
build.sh
Shell
unlicense
653
#!/usr/bin/env bats # This file is used to test the installation and removal # of plugins after Elasticsearch has been installed with tar.gz, # rpm, and deb. # WARNING: This testing file must be executed as root and can # dramatically change your system. It should only be executed # in a throw-away VM like those made...
ThiagoGarciaAlves/elasticsearch
qa/vagrant/src/test/resources/packaging/tests/module_and_plugin_test_cases.bash
Shell
apache-2.0
14,661
# # Copyright (C) 2015 Agro-Know, Deutsches Forschungszentrum für Künstliche Intelligenz, iMinds, # Institut für Angewandte Informatik e. V. an der Universität Leipzig, # Istituto Superiore Mario Boella, Tilde, Vistatec, WRIPL (http://freme-project.eu) # # Licensed under the Apache License, Version 2.0 (the "License");...
freme-project/Broker
src/main/scripts/server_deploy_dev.sh
Shell
apache-2.0
1,660
# Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use ...
myroch/drill
distribution/src/resources/drill-config.sh
Shell
apache-2.0
11,873
#!/bin/bash ################################################################ # (c) Copyright 2013 B-LUC Consulting and Thomas Bullinger # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # #...
B-LUC/AdminTools
usr/local/sbin/.Appliances/ms.postinstall.sh
Shell
apache-2.0
25,455
#!/bin/sh # This file was copied from the HBase source code, and slightly adapted # by NGDATA. # This file is used to generate the annotation of package info that # records the user, url, revision and timestamp. # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. S...
cloudera/hbase-indexer
hbase-indexer-common/src/saveVersion.sh
Shell
apache-2.0
1,884
#!/usr/bin/env bash # https://download.elasticsearch.org/elasticsearch/release/org/elasticsearch/distribution/tar/elasticsearch/2.2.0/elasticsearch-2.2.0.tar.gz tar -zxvf ../bundle/elasticsearch-2.3.2.tar.gz -C ../bundle
at15/els-bootstrap
scripts/setup.sh
Shell
apache-2.0
221
# fetch the documents for this seed # start with seed document count=1 seedfetchurlbase="http://"$wikilocale".wikipedia.org/w/index.php?action=render&title=" seedfetchurl=$seedfetchurlbase$safeseed curl --verbose --connect-timeout 60 --max-time 600 --max-redirs 1 --junk-session-cookies -o tmp/seed_document....
fredzannarbor/pagekicker-community
scripts/includes/fetch-linked-documents.sh
Shell
apache-2.0
3,619
#!/bin/bash rm -rf *.jpg *.proto *.bin *.trace *.out
qinglan233/vass
end_to_end/clear.sh
Shell
apache-2.0
54
#!/bin/bash source runtests.sh hifst=$CAM_SMT_DIR/bin/hifst.${TGTBINMK}.bin hifstclient=$CAM_SMT_DIR/bin/hifst-client.${TGTBINMK}.bin alilats2splats=$CAM_SMT_DIR/bin/alilats2splats.${TGTBINMK}.bin grammar=data/rules/trivial.grammar tstidx=data/source.text test=data/source-wmap.txt smap=data/smap sunmap=data/sunmap l...
ucam-smt/ucam-smt
scripts/tests/test-hifst-server-client.sh
Shell
apache-2.0
3,180
# Create a mirror of repo git clone --mirror https://github.com/exampleuser/repository-to-mirror.git cd repository-to-mirror.git git remote set-url --push origin https://github.com/exampleuser/mirrored git fetch -p origin git push --mirror # Merge branches in two projects** \# Merge project-a to project-b cd path/to/...
caesar0301/warp-drive
learn_shell/git.sh
Shell
apache-2.0
1,855
#!/bin/sh PREBUILT_ZIP=/opt/nuxeo/server/tmp/firstvoices-marketplace-package-latest.zip if test -f "$PREBUILT_ZIP"; then nuxeoctl mp-install --accept=yes /opt/nuxeo/server/tmp/firstvoices-marketplace-package-latest.zip else nuxeoctl mp-install --accept=yes /opt/nuxeo/server/nxserver/tmp/firstvoices-marketpla...
First-Peoples-Cultural-Council/fv-web-ui
docker/setup.sh
Shell
apache-2.0
984
#!/bin/bash # MDH 2018-01-21: borrowed and modified this script from # for issue https://github.com/TEIC/TEI/issues/1714. # A simple script to backup an organization's GitHub repositories. # NOTE: if you have more than 100 repositories, you'll need to step thru the list of repos # returned by GitHub one page at ...
TEIC/Jenkins
jobs/backup-issues/backup-issues.sh
Shell
apache-2.0
5,006
#!/bin/sh IPTABLES=/sbin/iptables # Flush $IPTABLES -F $IPTABLES -X # Set defaults $IPTABLES -P INPUT ACCEPT $IPTABLES -P OUTPUT ACCEPT $IPTABLES -P FORWARD ACCEPT # Custom Chains $IPTABLES -N services # Rules for specific services $IPTABLES -A INPUT -p tcp --dport 3306 -j services $IPTABLES -A INPUT -p tcp --dport...
canarie/dair
OpenStack/misc/iptables-udes.sh
Shell
apache-2.0
1,110
pkg_name=delmo pkg_origin=core pkg_version="0.6.1" pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_license=("Apache-2.0") pkg_source="https://github.com/bodymindarts/delmo/releases/download/v${pkg_version}/delmo-linux-amd64" pkg_filename="${pkg_name}" pkg_shasum="1d7a3a27f5c65a281315325bda9b87c176cd3b6...
be-plans/be
delmo/plan.sh
Shell
apache-2.0
715
#!/usr/bin/env bash # Copyright 2016 Google Inc. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
xavierlepretre/googleCloudHackathon
java-repo-tools/scripts/run-localhost.sh
Shell
apache-2.0
2,036
#!/bin/sh docker_cmd="docker" bridge_name=docker0 docker_port=2375 # "wlp" for WAS Liberty profile or "tc" for Tomcat appserver=tc if [ "$appserver" = "wlp" ]; then as_suffix=-liberty fi bridge_addr=$(ifconfig $bridge_name | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}') docker_addr=$bridge_addr docker_url_...
wuhais/acmeair-netflixoss-weave
weave-bin/env.sh
Shell
apache-2.0
806
#!/bin/bash # # Travis builds: Update the submodule version in the root repository # after a successful build. # Invoked by .travis.yml # echo TRAVIS_EVENT_TYPE=${TRAVIS_EVENT_TYPE} echo TRAVIS_BRANCH=${TRAVIS_BRANCH} case "${TRAVIS_EVENT_TYPE}" in "api") echo "Launch submodule build for api trigger" ;; ...
gameontext/gameon
build/rootUpdate.sh
Shell
apache-2.0
2,109
java -jar jar/res-p0.01.jar data/twitter_combined.txt wic 50 > result/res-twitter-wic-k50.out java -jar jar/res-p0.01.jar data/twitter_combined.txt wic 45 > result/res-twitter-wic-k45.out java -jar jar/res-p0.01.jar data/twitter_combined.txt wic 40 > result/res-twitter-wic-k40.out java -jar jar/res-p0.01.jar data/twitt...
zhuxiang/InfluenceEfficiencyMaximization
sh/resTwitterRun.sh
Shell
apache-2.0
2,060
#!/bin/sh # # Copyright 2019 PingCAP, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed t...
coocood/tidb
br/tests/br_db/run.sh
Shell
apache-2.0
2,383
# coding=utf-8 # Copyright 2019 The Google UDA Team Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
google-research/uda
text/scripts/run_base.sh
Shell
apache-2.0
1,102
#!/bin/bash # Copyright 2016 Port Direct # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to...
portdirect/harbor
docker/openstack/openstack-neutron/common-assets/opt/harbor/neutron/components/config-l3-agent.sh
Shell
apache-2.0
3,020
# ----------------------------------------------------------------------------- # # Package : create-ecdh # Version : 4.0.4 # Source repo : https://github.com/crypto-browserify/createECDH # Tested on : RHEL 8.3 # Script License: Apache License, Version 2 or later # Maintainer : BulkPackageSearch Automation <sethp@us.ib...
ppc64le/build-scripts
c/create-ecdh/create-ecdh_rhel_8.3.sh
Shell
apache-2.0
3,080
#!/bin/bash # Copyright Istio Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in ...
istio/tools
perf/benchmark/configs/istio/security_authz_ip/prerun.sh
Shell
apache-2.0
1,110
#!/bin/bash # Copyright 2015 Amazon.com, Inc. or its affiliates. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the # "License"). You may not use this file except in compliance # with the License. A copy of the License is located at # # http://aws.amazon.com/apache2.0/ # # or in the "lice...
rjschwei/amazon-ecs-init
scripts/lint.sh
Shell
apache-2.0
738
#!/usr/bin/env bash # Running the vault server echo "Killing processes containing 'vault-config' in their executable's name" pkill -9 -f "vault-config"
sheinbergon/governator-vault
src/test/resources/vault-destroy.sh
Shell
apache-2.0
153
#!/bin/bash EXEDIR=${1:-"../../build/bin"} DATADIR=${2:-"/data/gunrock_dataset/large"} EXECUTION="bfs" SETTING=" --src=0 --undirected --idempotence --queue-sizing=6.5 --in-sizing=4 --iteration-num=10 --direction-optimized" NAME[0]="soc-LiveJournal1" && DO_A[0]="0.200" && DO_B[0]="0.1" && T_MODE[0]="LB_CULL" NAME[1]=...
gunrock/gunrock
scripts/v0.5.x/topc/bfs-test.sh
Shell
apache-2.0
1,950
#!/bin/bash set -e service nginx restart code-server & # Starts API server cd /app/api sh run_prod.sh --migrate
bytedance/fedlearner
web_console_v2/run_prod.sh
Shell
apache-2.0
116
#!/usr/bin/env bash # Copyright 2019 The Tekton Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable l...
tektoncd/pipeline
test/e2e-common.sh
Shell
apache-2.0
2,607
#!/bin/bash # # You need 2GB RAM at least or mpicxx will run out of virtual memory # # Testing # synergia=$(pwd)/install/bin/synergia # cd build/synergia2/examples/fodo_simple1 # LD_LIBRARY_PATH=/usr/lib64/openmpi/lib $synergia fodo_simple1.py # # cd build/synergia2 # make test # Expect: # ...
elventear/containers
radiasoft/beamsim/codes/synergia.sh
Shell
apache-2.0
5,325
#!/bin/bash set -e if [ $# != 1 ];then echo "Usage: $0 /path/to/template_file" exit 1 fi source /home/nay/ghuang/qe-openrc-v3.sh stack_name=$(echo "$1" | awk -F"/" '{print $NF}' | cut -d . -f 1) if [ -n "$(openstack stack list | grep $stack_name)" ];then while true;do read -p "Do you wish to delete stack $st...
ganhuang/shell-misc
ocp-on-osp-scritps/ocp34-on-osp10/ocp-templates/create_stack.sh
Shell
apache-2.0
1,667
#!/bin/sh cd /etc/init.d #echo $# if [ $# != 1 ] then echo "usage : service_restart.sh status|restart|stop" exit 1 fi action=$1 echo "action = ${action}" run() { service openstack-nova-compute ${action} service neutron-openvswitch-agen...
linzhaolover/myansible
ansible_project/cpservice_act.sh
Shell
apache-2.0
349
#!/usr/bin/env bash # Copyright Istio Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agree...
istio/tools
docker/build-tools/docker-entrypoint.sh
Shell
apache-2.0
2,517
#!/bin/bash # Copyright 2014 Google Inc. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applic...
rjnagal/kubernetes
hack/test-integration.sh
Shell
apache-2.0
1,429
#! /usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "Licen...
mikewalch/accumulo
test/src/main/scripts/generate-thrift.sh
Shell
apache-2.0
1,013
#!/bin/bash function die { echo $1 exit 1 } pkg_root_dir=`find $PWD | grep "/Config$" | head -n 1 | xargs dirname` app_filename="$pkg_root_dir/app/app.apk" ls -1 $app_filename || die "Did not find app in $pkg_root_dir" appium --pre-launch --app-pkg com.amazonaws.devicefarm.android.referenceapp --app-activit...
glookogeorge/aws_device_farm
start-appium-android.sh
Shell
apache-2.0
385
#!/bin/sh source settings.sh TMP_FILE=".containers" if [ -e "${TMP_FILE}" ] then echo "Please call cleanup.sh first to stop and remove existing containers." exit 1 fi ES_CONTAINER=`docker run -d --name es frosenberg/elasticsearch` echo $ES_CONTAINER >> $TMP_FILE KIBANA_CONTAINER=`docker run -d -e "ES_HOST=elas...
frosenberg/fek-docker-demo
start.sh
Shell
apache-2.0
875
#!/bin/bash if [ "$(id -u)" = "0" ]; then echo "You must NOT run this script as root - it uses sudo" exit 1 fi if [ "$(sudo id -u)" != "0" ]; then echo "You must be able to run sudo to run this script" exit 1 fi DEPDIR=/var/lib/tomcat7/webapps DEPFILE=$DEPDIR/annotator.war SRCFILE=$HOME/annotator/ta...
memphis-iis/gluten
legacy/src/main/scripts/dev-deploy-annotator.sh
Shell
apache-2.0
1,069
#!/bin/bash g++ -g -std=c++11 -c sigslot.cc g++ -g -std=c++11 test.cc sigslot.o ./a.out rm sigslot.o a.out
weizhenwei/tech-docs-2016
video/webrtc/sigslot/code/build_run.sh
Shell
bsd-2-clause
111
python setup.py register python setup.py sdist --formats=gztar,zip upload python setup.py bdist_wheel upload python setup.py bdist_egg upload
silyko/laspy
publish.sh
Shell
bsd-2-clause
143
#!/bin/bash npm run build-chapters -- $@ npm run build-dependencies npm run build-copy -- $@ npm run build-html -- $@
denysdovhan/nodeschool.github.io
scripts/build.sh
Shell
bsd-2-clause
117
#!/bin/bash # # abyss_minimus.sh # # This script performs de novo asembly on a fasta file using AbySS and Minimo # Chiu Laboratory # University of California, San Francisco # January, 2014 # # (1) accepts fasta file with multiple barcodes # (2) splits fasta file into individual barcodes, for each barcode: runs abyss (b...
yesimon/surpi
abyss_minimus.sh
Shell
bsd-2-clause
8,303
NAME=sylnotify TARGET=src/$NAME.dll OBJS="src/$NAME.o src/version.o" PKG=sylpheed-$NAME LIBSYLPH=./lib/libsylph-0-1.a LIBSYLPHEED=./lib/libsylpheed-plugin-0-1.a LIBSYLFILTER=./lib/libsylfilter.a #LIBS=" -lglib-2.0-0 -lintl" LIBS=" `pkg-config --libs glib-2.0 gobject-2.0 gtk+-2.0 gthread-2.0` -L./lib -lsqlite...
kenhys/sylpheed-notify
build.sh
Shell
bsd-2-clause
5,239
#!/bin/bash ./Main.exe hpc report Main.exe --exclude=Main hpc markup Main.exe --exclude=Main --destdir=coverage/
sdzivanovich/cs1699_deliverable5
coverage.sh
Shell
bsd-3-clause
114
#!/bin/bash # vim ft=sh code_dir=`dirname $0` NARGS=$# if [ $NARGS != 2 ] then echo $0 base-dir working-set exit fi base_dir=$1 gif_set=$2 export PYTHONPATH=$code_dir/../c3d-models/:$PYTHONPATH # extract hashes for this set and get dup clusters mkdir -p $base_dir/hash rm -Rf $base_dir/hash/* cat $base_dir/ima...
raingo/TGIF-Release
code/gifs-filter/dedup/dedup-v2.sh
Shell
bsd-3-clause
1,342
Script started on Fri 06 Nov 2015 09:40:40 PM PST [rhom001@hammer rshell]$ make mkdir bin g++ -Wall -Werror -ansi -pedantic -o bin/rshell src/main.cpp src/rshell.cpp [rhom001@hammer rshell]$ bin/rshell rhom001@hammer$ echo Hello world Hello world rhom001@hammer$ git status # On branch master # Untracked files: # (u...
rhom001/rshell
tests/single_command.sh
Shell
bsd-3-clause
4,916
#!/bin/bash set -e ## This script builds the Docker image that the CLI uses to run applications. ## Dependencies: docker, gcloud ## Inputs: remoteImageTag (arg, required) tag of the image in GCR ## remoteImageName (arg, required) name of the image in GCR ## localImageTag (arg, required) tag of the local...
DataBiosphere/terra-cli
tools/publish-docker.sh
Shell
bsd-3-clause
2,425
#!/usr/bin/env bash # Copyright (c) 2014-present, Facebook, Inc. # All rights reserved. # # This source code is licensed under the BSD-style license found in the # LICENSE file in the root directory of this source tree. An additional grant # of patent rights can be found in the PATENTS file in the same directory....
trizt/osquery
tools/deployment/make_osx_package.sh
Shell
bsd-3-clause
9,934
#!/bin/bash # node and js-beautify should be in the PATH set -e TEST=$1 WORK_DIR=${TEMPDIR:-/tmp}/$1.test PATH=$PATH:`pwd`/../../.objs/a2js JS_BEAUTIFY=${JS_BEAUTIFY:-js-beautify} export LD_LIBRARY_PATH=`pwd`/../../.libs:$LD_LIBRARY_PATH compile() { NAME=${1%.*}.js $JS_BEAUTIFY $WORK_DIR/.objs/$NAME > $WORK_D...
reznikmm/matreshka
testsuite/a2js/run.sh
Shell
bsd-3-clause
1,078
#!/bin/bash ############################################################################### # # # Xilinx RAM update script for LINUX # # ...
olgirard/openmsp430
fpga/xilinx_avnet_lx9microbard/synthesis/xilinx/1_initialize_pmem.sh
Shell
bsd-3-clause
3,084
#!/usr/bin/env bash (mocha ./test --timeout 30000)
zombiQWERTY/ppChat
bin/test.sh
Shell
bsd-3-clause
52
#!/bin/bash sudo yum install -y git subversion sudo yum install -y htop itop ntop tree
cloudqiu1110/unixtool
pitools/afterinstallation_rpm.sh
Shell
bsd-3-clause
95
#! /bin/sh # bim2table.sh # Script to convert bim to interval_list file # Filter file awk 'FS = "\t" {print "chr"$1":"$4"-"$4}' $1
teasdalm/pileupTools
scripts/bim2il.sh
Shell
bsd-3-clause
135
#!/bin/bash # Copyright (c) 2011 The Native Client Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. BUILD_DIR=${SRC_DIR} MAKE_TARGETS=mtest export EXEEXT=${NACL_EXEEXT} #TestStep() { # To run tests, pipe mtest.nexe output into test.n...
clchiou/naclports
ports/libtommath/build.sh
Shell
bsd-3-clause
661
# -*- mode: sh; mode: sh-bash -*- # # airline.vim (https://github.com/vim-airline/vim-airline) の模倣実装 # # * "g:airline_mode_map" is partially supported # # Unsupported mappings # # 'ic' : 'INSERT COMPL', # 'ix' : 'INSERT COMPL', # 'multi' : 'MULTI' # 't' : 'TERMINAL' # ble-import keymap/vi ble-impor...
akinomyoga/ble.sh
lib/vim-airline.sh
Shell
bsd-3-clause
15,348
./vic-machine-linux debug --target vcsa.cpod-vic.shwrfr.mooo.com --user administrator@vsphere.local --password VMware1! \ --thumbprint 70:7D:77:B6:ED:DE:B2:83:80:34:50:82:5D:CA:9A:A4:FF:BF:40:14 \ --name vch-prod \ --enable-ssh \ --compute-resource Cluster \ --rootpw VMware1!
bdereims/cPod
VIC-Deploy/example/debug-prod.sh
Shell
mit
279
#!/usr/bin/env bash #------------------------------------------------------------------------------------------------------------- # Copyright (c) Microsoft Corporation. All rights reserved. # Licensed under the MIT License. See https://go.microsoft.com/fwlink/?linkid=2090316 for license information. #-----------------...
glenngillen/dotfiles
.vscode/extensions/ms-vscode-remote.remote-containers-0.177.2/dist/node_modules/vscode-dev-containers/containers/kubernetes-helm-minikube/.devcontainer/library-scripts/docker-in-docker-debian.sh
Shell
mit
6,965
#!/bin/bash cd "$(dirname "${BASH_SOURCE[0]}")" \ && . "../../utils.sh" # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - print_in_purple "\n Keyboard\n\n" execute "defaults write -g AppleKeyboardUIMode -int 3" \ "Enable full keyboard access for all controls" execute "defaults write...
AlbertoElias/dotfiles
src/os/preferences/macos/keyboard.sh
Shell
mit
812
#!/bin/sh # # This file is part of LXE project. See LICENSE file for licensing information. ( PKG=qtgamepad PKG_DEPS="qtbase qtdeclarative" if IsVer1GreaterOrEqualToVer2 "${QT5_VER}" "5.7.0" then . "${PKG_DIR}/qtmodule.sh" else . "${PKG_DIR}/qtmodule-nonexistent.sh" fi )
tehnick/lxe
pkg/qtgamepad.sh
Shell
mit
315
py.test -v -k Func --lf
kquick/Thespian
scripts/run_main_functional_tests.sh
Shell
mit
24
#!/bin/sh for _ in 1 2 3 4 5 do echo "buffer-range" ./dgrep "relay=([0-9a-zA-Z\-\.]+[0-9a-zA-Z]+)[\.\,]*\s" sample.txt echo "std-c-by-line" ./relay_hosts sample.txt done
UplinkCoder/datapicked
bench.sh
Shell
mit
171
#!/bin/sh # This script is used to setup the settings of the site. set -e SITE=$1 if [ -z $1 ] then echo "Using the current directory as sitename" SITE=${PWD##*/} else SITE=$1 fi echo "" echo "Configuring variables & settings for sitename: $SITE ..." drush vset file_public_path "sites/$SITE/files" drus...
codigociudadano/esculturas
src/scripts/adjust-db-to-site.sh
Shell
gpl-2.0
723
#!/bin/bash die() { echo >&2 "$@" exit 1 } isnumber() { test "$1" && printf '%f' "$1" >/dev/null; } integerregexp='^[0-9]+$' # Ensure that the user provided the correct number of arguments if [ "$#" -ne 3 ]; then echo "Invalid number of arguments." echo "Usage:" $0 "xml_file_name end_time output_frequency" ...
horzelski/scisim
assets/ball2d/shell_scripts/static_particle_test.sh
Shell
gpl-2.0
1,827
#!/bin/sh ######################################################### # Config DB ######################################################### function config_db() { # ^DB_: /etc/my.cnf.d/tuning.cnf for i in $( set -o posix ; set | grep ^DB_ | sort -rn ); do reg=$(echo ${i} | awk -F'=' '{print $1}') val=$(echo ...
monitoringartist/zabbix-xxl
Dockerfile/zabbix-db-mariadb/container-files/mariadb-functions.sh
Shell
gpl-2.0
4,642
#!/bin/sh lock() { #i3lock -c 222222 i3lock -i ~/.i3/scripts/lockscreen/lockscreen.png -t } case "$1" in lock) lock ;; logout) i3-msg exit ;; suspend) /usr/bin/dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freede...
erikdubois/i3-on-Linux-Mint-17.3
scripts/i3exit.sh
Shell
gpl-2.0
1,051
#!/bin/bash function getUriFilename() { header="$(curl -A 'PiBakery' -sI "$1" | tr -d '\r')" filename="$(echo "$header" | grep -o -E 'filename=.*$')" if [[ -n "$filename" ]]; then echo "${filename#filename=}" return fi filename="$(echo "$header" | grep -o -E 'Location:.*$')" i...
davidferguson/pibakery
pibakery-blocks/downloadfile/downloadFile.sh
Shell
gpl-3.0
591
#!/bin/bash if [ $# -eq 0 ] then echo "****************************************************************************" echo "* Usage: merge_rdb.sh path/to/OOo_program path/to/module/idl_file_name *" echo "****************************************************************************" el...
prrvchr/GContactOOo
CloudContactOOo/rdb/merge_rdb.sh
Shell
gpl-3.0
705
#!/bin/bash # measure script timing time_start() { START=$(date +%s%3N) } time_end() { END=$(( $(date +%s%3N) - $START )) } # setup script variables EPUB="$BUILD/epub/$BOOKNAME.epub" # remove previous build version clean() { rm -f "$EPUB" } # build epub with pandoc build_epub() { echo "[+] now building epu...
Libedizioni/un-occhio-di-vetro
inc/scripts/build-epub.sh
Shell
gpl-3.0
1,246
#!/bin/sh # # Copyright 2007 !j Incorporated # # This file is part of Canner. # # Canner is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later versio...
pusateri/canner
taggers/OS--IOS/vendor.sh
Shell
gpl-3.0
823
#!/bin/bash export PATH=/opt/local/bin:$PATH set -e if [[ "${XCODE_VERSION_MAJOR}" -ge "0460" ]]; then export TC_PATH="${DT_TOOLCHAIN_DIR}/usr/bin" else export TC_PATH="${PLATFORM_DEVELOPER_BIN_DIR}" fi build_launcher() { SRCDIR="${PROJECT_DIR}/shadowsocks-libev" xcrun --sdk iphoneos clang \ ...
82Flex/MobileShadowSocks
extra/build-extra.sh
Shell
gpl-3.0
5,164
#!/bin/bash CACHEDIR="/var/cache/fedy/jdk" if [[ "$(uname -m)" = "x86_64" ]]; then ARCH="x64" else ARCH="x86" fi mkdir -p "$CACHEDIR" cd "$CACHEDIR" URL=$(wget $(wget "http://www.oracle.com/technetwork/java/javase/downloads/index.html" -O - | tr ' ' '\n' | grep "/technetwork/java/javase/downloads/jdk8" | he...
folkswithhats/fedy
plugins/jdk.plugin/install.sh
Shell
gpl-3.0
6,945
mount -t debugfs none /sys/kernel/debug rmmod lophilo;insmod /lophilo-standard.ko
lizhizhou/grid-module
reload.sh
Shell
agpl-3.0
82
#!/bin/bash ###################################################################### ###################################################################### #####NOTES & SNIPPETS##### ###################################################################### #################################################################...
bradchesney79/2015DebianJessieWebserverProject
scripts/add-web-person-user.sh
Shell
unlicense
1,336
alias ssh="cat ~/.bashrc.d/ssh/config.d/* > ~/.ssh/config; ssh" # 1. ~/.bashrc.d/ssh/config.d exist? no, notify to install bashrc.d; # 2. ~/.ssh/config exist? backup/rotate it; # # Reference: http://superuser.com/questions/247564/is-there-a-way-for-one-ssh-config-file-to-include-another-one
JoshuaJiangFD/bashrc.d
linux/ssh.alias.bash
Shell
apache-2.0
293
#!/bin/bash # for CMSSW if [ -f /cvmfs/cms.cern.ch/cmsset_default.sh ]; then source /cvmfs/cms.cern.ch/cmsset_default.sh export CMSSW_GIT_REFERENCE=/cvmfs/cms.cern.ch/cmssw.git fi # CRAB submission # https://twiki.cern.ch/twiki/bin/view/CMSPublic/CRAB3Releases#Improvements_enhancements_change if [ -f /cvmfs/cms.cern...
BristolTopGroup/BristolAnalysisSoftwareStack
recipes/cms_extras.sh
Shell
apache-2.0
390